#include "grifoflightsimulator.h"
#include "ui_grifoflightsimulator.h"

#include "g346_common.h"

GrifoFlightSimulator::GrifoFlightSimulator(QWidget *parent) :
    QDockWidget(parent),
    ui(new Ui::GrifoFlightSimulator)
{
    ui->setupUi(this);

    ui->cbPerformance->addItems(QStringList()<<"Easy"<<"Normal"<<"Hardcore"<<"Custom");
}

GrifoFlightSimulator::~GrifoFlightSimulator()
{
    delete ui;
}

void GrifoFlightSimulator::on_pushButton_clicked(bool checked)
{
  grifo_sim_enable.ac=checked;
}

void GrifoFlightSimulator::on_pushButton_clicked()
{

}

void GrifoFlightSimulator::on_navDrift_editingFinished()
{
    //grifo_sim_enable.nav_drift=ui->navDrift->value();
}

void GrifoFlightSimulator::on_navDrift_valueChanged(double arg1)
{
    grifo_sim_enable.nav_drift=arg1;
}

void GrifoFlightSimulator::on_ptazVariation_valueChanged(double arg1)
{
    grifo_sim_enable.ptaz_variation=arg1;
}
